edu.ucsb.nceas.metacat.restservice

## Class D1HttpRequest

- java.lang.Object
- - javax.servlet.ServletRequestWrapper
  - - javax.servlet.http.HttpServletRequestWrapper
    - - edu.ucsb.nceas.metacat.restservice.D1HttpRequest

- All Implemented Interfaces:
    javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest

      public class D1HttpRequest
      extends javax.servlet.http.HttpServletRequestWrapper

  Author:
    berkley Class to override getPathInfo on the servlet request

- - ### Field Summary

    - ### Fields inherited from interface javax.servlet.http.HttpServletRequest

      `BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `D1HttpRequest(javax.servlet.ServletRequest request)` HttpServletRequestWrapper(HttpServletRequest request)

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPathInfo()` override getPathInfo to handle special characters

    - ### Methods inherited from class javax.servlet.http.HttpServletRequestWrapper

      `getAuthType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getIntHeader, getMethod, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole`

    - ### Methods inherited from class javax.servlet.ServletRequestWrapper

      `getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequest, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding, setRequest`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.ServletRequest

      `getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding`

- - ### Constructor Detail

    - #### D1HttpRequest

          public D1HttpRequest(javax.servlet.ServletRequest request)

      HttpServletRequestWrapper(HttpServletRequest request)

  - ### Method Detail

    - #### getPathInfo

          public java.lang.String getPathInfo()

      override getPathInfo to handle special characters
      Specified by:
        `getPathInfo` in interface `javax.servlet.http.HttpServletRequest`
      Overrides:
        `getPathInfo` in class `javax.servlet.http.HttpServletRequestWrapper`
      Returns:

Copyright © 2020 Regents of the University of California. All Rights Reserved.